package com.raycos.raycoscommon.Internal;

import lombok.Data;

/**
 * @Author: xiaojiabin
 * @Date: 2024/8/26 16:15
 */

@Data
public class Result<T> {
    private int code;
    private String msg;
    private T data;

    public Result<T> success(T obj){
        this.setCode(200);
        this.setMsg("success");
        this.setData(obj);
        return this;
    }
    public Result<T> success( ){
        return this.success(null);
    }
    public Result<T> fail(T obj){
        this.setCode(201);
        this.setMsg("fail");
        this.setData(obj);
        return this;
    }
    public Result<T> fail(){
        return this.fail(null);
    }

}
