package com.raycos.raycosdatacenterapi.authorize.impl;

import com.raycos.raycoscommon.Internal.datacenterapi.TbAmzToken;
import com.raycos.raycosdatacenterapi.authorize.AmzTokenService;
import com.raycos.raycosdatacenterapi.mapper.TbAmzTokenMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.Assert;
import org.springframework.web.client.RestTemplate;

import java.util.List;


@Service
@Slf4j
public class AmzTokenServiceImpl implements AmzTokenService {

    @Autowired
    private TbAmzTokenMapper tbAmzTokenMapper;

    @Autowired
    private RestTemplate restTemplate;
    @Override
    public void addAmzToken(TbAmzToken tbAmzToken) throws Exception {
        tbAmzTokenMapper.insert(tbAmzToken);
    }

    @Override
    public void delAmzToken(TbAmzToken tbAmzToken) throws Exception {
        Assert.notNull( tbAmzToken.getId() , "请检查提交参数！");
        tbAmzTokenMapper.delAmzToken(tbAmzToken.getId());
    }

    @Override
    public void editAmzToken(TbAmzToken tbAmzToken) throws Exception {

    }

    @Override
    public List<TbAmzToken> selAmzToken(TbAmzToken tbAmzToken) throws Exception {
        return tbAmzTokenMapper.selectList(null);
    }
}
