package com.raycos.raycosdatacenterapi.scheduledtasks;

import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

/**
 * @Author: xiaojiabin
 * @Date: 2024/9/2 16:12
 */

@Component
@Slf4j
public class RefreshAmazonToken {


    private static final DateTimeFormatter dateTimeFormatter = DateTimeFormatter.ofPattern("HH:mm:ss");

    @Scheduled(fixedRate = 5000)
    public void reportCurrentTime() {

        log.info("现在时间是：" + dateTimeFormatter.format(LocalDateTime.now()));
    }



}
